Index: c/src/exec/libnetworking/Makefile.am
===================================================================
--- c/src/exec/libnetworking/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/exec/libnetworking/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -1,28 +1,14 @@
-##
+## 
 ## $Id$
-##
+## 
 
 AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_POSIX
-POSIX_SUBDIRS = rtems_webserver
-endif
+SUBDIRS = include arpa kern machine sys vm lib libc net netinet nfs rtems \
+    rtems_servers pppd rtems_webserver wrapup
 
-SUBDIRS = include kern lib libc net netinet nfs rtems rtems_servers \
-pppd $(POSIX_SUBDIRS) wrapup
-
-EXTRA_DIST = \
-CHANGELOG \
-README \
-bpfilter.h \
-loop.h \
-netdb.h \
-opt_ipfw.h \
-opt_mrouting.h \
-opt_tcpdebug.h \
-poll.h \
-resolv.h \
-syslog.h
+EXTRA_DIST = CHANGELOG bpfilter.h loop.h netdb.h opt_ipfw.h opt_mrouting.h \
+    opt_tcpdebug.h poll.h resolv.h syslog.h
 
 include $(top_srcdir)/../../../automake/subdirs.am
Index: c/src/exec/libnetworking/arpa/Makefile.am
===================================================================
--- c/src/exec/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = ftp.h inet.h nameser.h nameser_compat.h telnet.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/kern/Makefile.am
===================================================================
--- c/src/exec/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c uipc_socket2.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c \
+    uipc_socket2.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/lib/Makefile.am
===================================================================
--- c/src/exec/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,33 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = README getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/libc/Makefile.am
===================================================================
--- c/src/exec/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,57 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4 no-installman
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = base64.c gethostbydns.c gethostbyht.c gethostbynis.c \
+    gethostnamadr.c getnetbydns.c getnetbyht.c getnetbynis.c getnetnamadr.c \
+    getproto.c getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.c herror.c inet_addr.c inet_lnaof.c inet_makeaddr.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c map_v4v6.c \
+    nsap_addr.c ns_name.c ns_netint.c ns_parse.c ns_print.c ns_ttl.c \
+    res_comp.c res_data.c res_debug.c res_init.c res_mkquery.c \
+    res_mkupdate.c res_query.c res_send.c res_stubs.c res_update.c strsep.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+man_MANS = addr2ascii.3 byteorder.3 ethers.3 gethostbyname.3 getnetent.3 \
+    getprotoent.3 getservent.3 inet.3 iso_addr.3 linkaddr.3 ns.3 rcmd.3 \
+    resolver.3
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+AM_CPPFLAGS += -U__STRICT_ANSI__
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = addr2ascii.3 addr2ascii.c ascii2addr.c base64.c byteorder.3 \
+    ether_addr.c ethers.3 gethostbydns.c gethostbyht.c gethostbyname.3 \
+    gethostbynis.c gethostnamadr.c gethostname.c getnetbydns.c getnetbyht.c \
+    getnetbynis.c getnetent.3 getnetnamadr.c getproto.c getprotoent.3 \
+    getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.3 getservent.c herror.c inet.3 inet_addr.c inet_lnaof.c \
+    inet_makeaddr.c inet_net_ntop.c inet_net_pton.c inet_neta.c inet_netof.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c iso_addr.3 iso_addr.c \
+    linkaddr.3 linkaddr.c map_v4v6.c ns.3 ns_addr.c ns_name.c ns_netint.c \
+    ns_ntoa.c ns_parse.c ns_print.c ns_ttl.c nsap_addr.c rcmd.3 rcmd.c \
+    recv.c res_comp.c res_config.h res_data.c res_debug.c res_init.c \
+    res_mkquery.c res_mkupdate.c res_query.c res_send.c res_stubs.c \
+    res_update.c resolver.3 send.c strsep.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/machine/Makefile.am
===================================================================
--- c/src/exec/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,10 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = conf.h cpu.h cpufunc.h endian.h in_cksum.h limits.h param.h \
+    types.h vmparam.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/net/Makefile.am
===================================================================
--- c/src/exec/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,37 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if.c if_ethersubr.c if_loop.c radix.c route.c rtsock.c raw_cb.c \
+    raw_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bpf.h ethernet.h if.c if.h if_arp.h if_dl.h if_ethersubr.c \
+    if_llc.h if_loop.c if_ppp.h if_types.h netisr.h ppp-comp.h ppp_defs.h \
+    radix.c radix.h raw_cb.c raw_cb.h raw_usrreq.c route.c route.h rtsock.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/netinet/Makefile.am
===================================================================
--- c/src/exec/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,43 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if_ether.c igmp.c in.c in_cksum.c in_pcb.c in_proto.c in_rmx.c \
+    ip_divert.c ip_fw.c ip_icmp.c ip_input.c ip_mroute.c ip_output.c \
+    raw_ip.c tcp_debug.c tcp_input.c tcp_output.c tcp_subr.c tcp_timer.c \
+    tcp_usrreq.c udp_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = icmp_var.h if_ether.c if_ether.h igmp.c igmp.h igmp_var.h in.c \
+    in.h in_cksum.c in_cksum_i386.c in_cksum_m68k.c in_cksum_powerpc.c \
+    in_pcb.c in_pcb.h in_proto.c in_rmx.c in_systm.h in_var.h ip.h \
+    ip_divert.c ip_fw.c ip_fw.h ip_icmp.c ip_icmp.h ip_input.c ip_mroute.c \
+    ip_mroute.h ip_output.c ip_var.h raw_ip.c tcp.h tcp_debug.c tcp_debug.h \
+    tcp_fsm.h tcp_input.c tcp_output.c tcp_seq.h tcp_subr.c tcp_timer.c \
+    tcp_timer.h tcp_usrreq.c tcp_var.h tcpip.h udp.h udp_usrreq.c udp_var.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/nfs/Makefile.am
===================================================================
--- c/src/exec/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = bootp_subr.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bootp_subr.c krpc.h nfs.h nfsdiskless.h nfsproto.h rpcv2.h \
+    xdr_subs.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/rtems/Makefile.am
===================================================================
--- c/src/exec/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,41 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = sghostname.c issetugid.c rtems_glue.c rtems_syscall.c \
+    rtems_bootp.c rtems_showmbuf.c rtems_showroute.c rtems_showifstat.c \
+    rtems_showipstat.c rtems_showicmpstat.c rtems_showtcpstat.c \
+    rtems_showudpstat.c rtems_select.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = issetugid.c rtems_bootp.c rtems_bsdnet.h \
+    rtems_bsdnet_internal.h rtems_glue.c rtems_select.c rtems_showicmpstat.c \
+    rtems_showifstat.c rtems_showipstat.c rtems_showmbuf.c rtems_showroute.c \
+    rtems_showtcpstat.c rtems_showudpstat.c rtems_syscall.c sghostname.c \
+    tftp.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/sys/Makefile.am
===================================================================
--- c/src/exec/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = buf.h callout.h cdefs.h conf.h domain.h filio.h ioccom.h \
+    ioctl.h kernel.h libkern.h malloc.h mbuf.h mount.h param.h proc.h \
+    protosw.h queue.h reboot.h resourcevar.h rtprio.h select.h signalvar.h \
+    socket.h socketvar.h sockio.h sysctl.h syslimits.h syslog.h systm.h \
+    ttycom.h ttydefaults.h ucred.h uio.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/vm/Makefile.am
===================================================================
--- c/src/exec/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = vm.h vm_extern.h vm_kern.h vm_param.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libnetworking/wrapup/Makefile.am
===================================================================
--- c/src/exec/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/exec/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+if HAS_POSIX
+POSIX_PIECES = rtems_webserver
+endif 
+
+NET_O_PIECES = kern lib libc net netinet nfs rtems rtems_servers pppd \
+    $(POSIX_PIECES)
+OBJS = $(foreach piece, $(NET_O_PIECES), ../$(piece)/$(ARCH)/*.o)
+LIB = $(ARCH)/libnetworking.a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(OBJS) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -2,4 +2,6 @@
 ## $Id$
 ## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
 
 BSP_FILES = startup clock console timer
Index: c/src/lib/libbsp/m68k/gen68302/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/start/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/lib/libbsp/m68k/gen68302/start/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -22,6 +22,4 @@
 	$(INSTALL_DATA) $< $@
 
-# Install the program(s), appending _g or _p as appropriate.
-# for include files, just use $(INSTALL_CHANGE)
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
Index: c/src/lib/libbsp/m68k/gen68340/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/start/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/lib/libbsp/m68k/gen68340/start/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -22,6 +22,4 @@
 	$(INSTALL_DATA) $< $@
 
-# Install the program(s), appending _g or _p as appropriate.
-# for include files, just use $(INSTALL_CHANGE)
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
Index: c/src/lib/libbsp/m68k/gen68360/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -22,6 +22,4 @@
 	$(INSTALL_DATA) $< $@
 
-# Install the program(s), appending _g or _p as appropriate.
-# for include files, just use $(INSTALL_CHANGE)
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
Index: c/src/lib/libbsp/m68k/ods68302/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/start/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/lib/libbsp/m68k/ods68302/start/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -39,6 +39,4 @@
 	$(INSTALL_DATA) $< $@
 
-# Install the program(s), appending _g or _p as appropriate.
-# for include files, just use $(INSTALL_CHANGE)
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
Index: c/src/libnetworking/Makefile.am
===================================================================
--- c/src/libnetworking/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/libnetworking/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -1,28 +1,14 @@
-##
+## 
 ## $Id$
-##
+## 
 
 AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_POSIX
-POSIX_SUBDIRS = rtems_webserver
-endif
+SUBDIRS = include arpa kern machine sys vm lib libc net netinet nfs rtems \
+    rtems_servers pppd rtems_webserver wrapup
 
-SUBDIRS = include kern lib libc net netinet nfs rtems rtems_servers \
-pppd $(POSIX_SUBDIRS) wrapup
-
-EXTRA_DIST = \
-CHANGELOG \
-README \
-bpfilter.h \
-loop.h \
-netdb.h \
-opt_ipfw.h \
-opt_mrouting.h \
-opt_tcpdebug.h \
-poll.h \
-resolv.h \
-syslog.h
+EXTRA_DIST = CHANGELOG bpfilter.h loop.h netdb.h opt_ipfw.h opt_mrouting.h \
+    opt_tcpdebug.h poll.h resolv.h syslog.h
 
 include $(top_srcdir)/../../../automake/subdirs.am
Index: c/src/libnetworking/arpa/Makefile.am
===================================================================
--- c/src/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = ftp.h inet.h nameser.h nameser_compat.h telnet.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libnetworking/configure.in
===================================================================
--- c/src/libnetworking/configure.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ c/src/libnetworking/configure.in	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -35,14 +35,13 @@
 AM_CONDITIONAL(HAS_POSIX,test "$HAS_POSIX_API" = "yes")
 
-if test "$HAS_POSIX_API" = "yes"; then
-  cfg_subdirs="posix"
-fi
-AC_CONFIG_SUBDIRS($cfg_subdirs)
-
 # try to explicitly list a Makefile here 
 AC_OUTPUT( 
 Makefile
 include/Makefile
+arpa/Makefile
+machine/Makefile
 kern/Makefile
+sys/Makefile
+vm/Makefile
 lib/Makefile
 libc/Makefile
Index: c/src/libnetworking/include/Makefile.am
===================================================================
--- c/src/libnetworking/include/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/include/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,453 @@
+## 
+## $Id$
+## 
+##
+## FIXME: This Makefile.am is pretty ugly and deserves to be reworked :(
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+H_FILES = ../bpfilter.h ../loop.h ../netdb.h ../opt_ipfw.h ../opt_mrouting.h \
+    ../opt_tcpdebug.h ../poll.h ../resolv.h ../syslog.h
+
+SYS_H_FILES = ../sys/buf.h ../sys/callout.h ../sys/cdefs.h ../sys/conf.h \
+    ../sys/domain.h ../sys/filio.h ../sys/ioccom.h ../sys/ioctl.h \
+    ../sys/kernel.h ../sys/libkern.h ../sys/malloc.h ../sys/mbuf.h \
+    ../sys/mount.h ../sys/param.h ../sys/proc.h ../sys/protosw.h \
+    ../sys/queue.h ../sys/reboot.h ../sys/resourcevar.h ../sys/rtprio.h \
+    ../sys/select.h ../sys/signalvar.h ../sys/socket.h ../sys/socketvar.h \
+    ../sys/sockio.h ../sys/sysctl.h ../sys/syslimits.h ../sys/syslog.h \
+    ../sys/systm.h ../sys/ttycom.h ../sys/ttydefaults.h ../sys/ucred.h \
+    ../sys/uio.h
+
+RTEMS_H_FILES = ../rtems/rtems_bsdnet.h ../rtems/rtems_bsdnet_internal.h \
+    ../rtems/tftp.h
+
+MACHINE_H_FILES = ../machine/conf.h ../machine/cpu.h ../machine/cpufunc.h \
+    ../machine/endian.h ../machine/in_cksum.h ../machine/limits.h \
+    ../machine/param.h ../machine/types.h ../machine/vmparam.h
+
+VM_H_FILES = ../vm/vm.h ../vm/vm_extern.h ../vm/vm_kern.h ../vm/vm_param.h
+
+NET_H_FILES = ../net/bpf.h ../net/ethernet.h ../net/if.h ../net/if_arp.h \
+    ../net/if_dl.h ../net/if_llc.h ../net/if_ppp.h ../net/if_types.h \
+    ../net/netisr.h ../net/ppp-comp.h ../net/ppp_defs.h ../net/radix.h \
+    ../net/raw_cb.h ../net/route.h
+
+NETINET_H_FILES = ../netinet/icmp_var.h ../netinet/if_ether.h \
+    ../netinet/igmp.h ../netinet/igmp_var.h ../netinet/in.h \
+    ../netinet/in_pcb.h ../netinet/in_systm.h ../netinet/in_var.h \
+    ../netinet/ip.h ../netinet/ip_fw.h ../netinet/ip_icmp.h \
+    ../netinet/ip_mroute.h ../netinet/ip_var.h ../netinet/tcp.h \
+    ../netinet/tcp_debug.h ../netinet/tcp_fsm.h ../netinet/tcp_seq.h \
+    ../netinet/tcp_timer.h ../netinet/tcp_var.h ../netinet/tcpip.h \
+    ../netinet/udp.h ../netinet/udp_var.h
+
+ARPA_H_FILES = ../arpa/ftp.h ../arpa/inet.h ../arpa/nameser.h \
+    ../arpa/nameser_compat.h ../arpa/telnet.h
+
+NFS_H_FILES = ../nfs/krpc.h ../nfs/nfs.h ../nfs/nfsdiskless.h \
+    ../nfs/nfsproto.h ../nfs/rpcv2.h ../nfs/xdr_subs.h
+
+RTEMS_SERVERS_H_FILES = ../rtems_servers/ftpd.h
+
+RTEMS_WEBSERVER_H_FILES = ../rtems_webserver/rtems_webserver.h
+
+# We only make the install point for the networking header files if needed.
+
+INSTALLDIRS = $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/sys \
+    $(PROJECT_INCLUDE)/machine $(PROJECT_INCLUDE)/rtems \
+    $(PROJECT_INCLUDE)/vm $(PROJECT_INCLUDE)/net $(PROJECT_INCLUDE)/netinet \
+    $(PROJECT_INCLUDE)/arpa $(PROJECT_INCLUDE)/nfs
+
+$(INSTALLDIRS):
+	$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/bpfilter.h: ../bpfilter.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/loop.h: ../loop.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netdb.h: ../netdb.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/opt_ipfw.h: ../opt_ipfw.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/opt_mrouting.h: ../opt_mrouting.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/opt_tcpdebug.h: ../opt_tcpdebug.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/poll.h: ../poll.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/resolv.h: ../resolv.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/syslog.h: ../syslog.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/buf.h: ../sys/buf.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/callout.h: ../sys/callout.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/cdefs.h: ../sys/cdefs.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/conf.h: ../sys/conf.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/domain.h: ../sys/domain.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/filio.h: ../sys/filio.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/ioccom.h: ../sys/ioccom.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/ioctl.h: ../sys/ioctl.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/kernel.h: ../sys/kernel.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/libkern.h: ../sys/libkern.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/malloc.h: ../sys/malloc.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/mbuf.h: ../sys/mbuf.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/mount.h: ../sys/mount.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/param.h: ../sys/param.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/proc.h: ../sys/proc.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/protosw.h: ../sys/protosw.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/queue.h: ../sys/queue.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/reboot.h: ../sys/reboot.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/resourcevar.h: ../sys/resourcevar.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/rtprio.h: ../sys/rtprio.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/select.h: ../sys/select.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/signalvar.h: ../sys/signalvar.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/socket.h: ../sys/socket.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/socketvar.h: ../sys/socketvar.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/sockio.h: ../sys/sockio.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/sysctl.h: ../sys/sysctl.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/syslimits.h: ../sys/syslimits.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/syslog.h: ../sys/syslog.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/systm.h: ../sys/systm.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/ttycom.h: ../sys/ttycom.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/ttydefaults.h: ../sys/ttydefaults.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/ucred.h: ../sys/ucred.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/sys/uio.h: ../sys/uio.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/rtems/rtems_bsdnet.h: ../rtems/rtems_bsdnet.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/rtems/rtems_bsdnet_internal.h: ../rtems/rtems_bsdnet_internal.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/rtems/tftp.h: ../rtems/tftp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/conf.h: ../machine/conf.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/cpu.h: ../machine/cpu.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/cpufunc.h: ../machine/cpufunc.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/endian.h: ../machine/endian.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/in_cksum.h: ../machine/in_cksum.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/limits.h: ../machine/limits.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/param.h: ../machine/param.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/types.h: ../machine/types.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/machine/vmparam.h: ../machine/vmparam.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/vm/vm.h: ../vm/vm.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/vm/vm_extern.h: ../vm/vm_extern.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/vm/vm_kern.h: ../vm/vm_kern.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/vm/vm_param.h: ../vm/vm_param.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/bpf.h: ../net/bpf.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/ethernet.h: ../net/ethernet.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if.h: ../net/if.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if_arp.h: ../net/if_arp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if_dl.h: ../net/if_dl.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if_llc.h: ../net/if_llc.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if_ppp.h: ../net/if_ppp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/if_types.h: ../net/if_types.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/netisr.h: ../net/netisr.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/ppp-comp.h: ../net/ppp-comp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/ppp_defs.h: ../net/ppp_defs.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/radix.h: ../net/radix.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/raw_cb.h: ../net/raw_cb.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/net/route.h: ../net/route.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/icmp_var.h: ../netinet/icmp_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/if_ether.h: ../netinet/if_ether.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/igmp.h: ../netinet/igmp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/igmp_var.h: ../netinet/igmp_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/in.h: ../netinet/in.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/in_pcb.h: ../netinet/in_pcb.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/in_systm.h: ../netinet/in_systm.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/in_var.h: ../netinet/in_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/ip.h: ../netinet/ip.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/ip_fw.h: ../netinet/ip_fw.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/ip_icmp.h: ../netinet/ip_icmp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/ip_mroute.h: ../netinet/ip_mroute.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/ip_var.h: ../netinet/ip_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp.h: ../netinet/tcp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp_debug.h: ../netinet/tcp_debug.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp_fsm.h: ../netinet/tcp_fsm.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp_seq.h: ../netinet/tcp_seq.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp_timer.h: ../netinet/tcp_timer.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcp_var.h: ../netinet/tcp_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/tcpip.h: ../netinet/tcpip.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/udp.h: ../netinet/udp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/netinet/udp_var.h: ../netinet/udp_var.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/arpa/ftp.h: ../arpa/ftp.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/arpa/inet.h: ../arpa/inet.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/arpa/nameser.h: ../arpa/nameser.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/arpa/nameser_compat.h: ../arpa/nameser_compat.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/arpa/telnet.h: ../arpa/telnet.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/krpc.h: ../nfs/krpc.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/nfs.h: ../nfs/nfs.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/nfsdiskless.h: ../nfs/nfsdiskless.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/nfsproto.h: ../nfs/nfsproto.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/rpcv2.h: ../nfs/rpcv2.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/nfs/xdr_subs.h: ../nfs/xdr_subs.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/ftpd.h: ../rtems_servers/ftpd.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/rtems_webserver.h: ../rtems_webserver/rtems_webserver.h
+	$(INSTALL_DATA) $< $@
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bpfilter.h \
+    $(PROJECT_INCLUDE)/loop.h $(PROJECT_INCLUDE)/netdb.h \
+    $(PROJECT_INCLUDE)/opt_ipfw.h $(PROJECT_INCLUDE)/opt_mrouting.h \
+    $(PROJECT_INCLUDE)/opt_tcpdebug.h $(PROJECT_INCLUDE)/poll.h \
+    $(PROJECT_INCLUDE)/resolv.h $(PROJECT_INCLUDE)/syslog.h \
+    $(PROJECT_INCLUDE)/sys $(PROJECT_INCLUDE)/sys/buf.h \
+    $(PROJECT_INCLUDE)/sys/callout.h $(PROJECT_INCLUDE)/sys/cdefs.h \
+    $(PROJECT_INCLUDE)/sys/conf.h $(PROJECT_INCLUDE)/sys/domain.h \
+    $(PROJECT_INCLUDE)/sys/filio.h $(PROJECT_INCLUDE)/sys/ioccom.h \
+    $(PROJECT_INCLUDE)/sys/ioctl.h $(PROJECT_INCLUDE)/sys/kernel.h \
+    $(PROJECT_INCLUDE)/sys/libkern.h $(PROJECT_INCLUDE)/sys/malloc.h \
+    $(PROJECT_INCLUDE)/sys/mbuf.h $(PROJECT_INCLUDE)/sys/mount.h \
+    $(PROJECT_INCLUDE)/sys/param.h $(PROJECT_INCLUDE)/sys/proc.h \
+    $(PROJECT_INCLUDE)/sys/protosw.h $(PROJECT_INCLUDE)/sys/queue.h \
+    $(PROJECT_INCLUDE)/sys/reboot.h $(PROJECT_INCLUDE)/sys/resourcevar.h \
+    $(PROJECT_INCLUDE)/sys/rtprio.h $(PROJECT_INCLUDE)/sys/select.h \
+    $(PROJECT_INCLUDE)/sys/signalvar.h $(PROJECT_INCLUDE)/sys/socket.h \
+    $(PROJECT_INCLUDE)/sys/socketvar.h $(PROJECT_INCLUDE)/sys/sockio.h \
+    $(PROJECT_INCLUDE)/sys/sysctl.h $(PROJECT_INCLUDE)/sys/syslimits.h \
+    $(PROJECT_INCLUDE)/sys/syslog.h $(PROJECT_INCLUDE)/sys/systm.h \
+    $(PROJECT_INCLUDE)/sys/ttycom.h $(PROJECT_INCLUDE)/sys/ttydefaults.h \
+    $(PROJECT_INCLUDE)/sys/ucred.h $(PROJECT_INCLUDE)/sys/uio.h \
+    $(PROJECT_INCLUDE)/rtems $(PROJECT_INCLUDE)/rtems/rtems_bsdnet.h \
+    $(PROJECT_INCLUDE)/rtems/rtems_bsdnet_internal.h \
+    $(PROJECT_INCLUDE)/rtems/tftp.h $(PROJECT_INCLUDE)/machine \
+    $(PROJECT_INCLUDE)/machine/conf.h $(PROJECT_INCLUDE)/machine/cpu.h \
+    $(PROJECT_INCLUDE)/machine/cpufunc.h $(PROJECT_INCLUDE)/machine/endian.h \
+    $(PROJECT_INCLUDE)/machine/in_cksum.h \
+    $(PROJECT_INCLUDE)/machine/limits.h $(PROJECT_INCLUDE)/machine/param.h \
+    $(PROJECT_INCLUDE)/machine/types.h $(PROJECT_INCLUDE)/machine/vmparam.h \
+    $(PROJECT_INCLUDE)/vm $(PROJECT_INCLUDE)/vm/vm.h \
+    $(PROJECT_INCLUDE)/vm/vm_extern.h $(PROJECT_INCLUDE)/vm/vm_kern.h \
+    $(PROJECT_INCLUDE)/vm/vm_param.h $(PROJECT_INCLUDE)/net \
+    $(PROJECT_INCLUDE)/net/bpf.h $(PROJECT_INCLUDE)/net/ethernet.h \
+    $(PROJECT_INCLUDE)/net/if.h $(PROJECT_INCLUDE)/net/if_arp.h \
+    $(PROJECT_INCLUDE)/net/if_dl.h $(PROJECT_INCLUDE)/net/if_llc.h \
+    $(PROJECT_INCLUDE)/net/if_ppp.h $(PROJECT_INCLUDE)/net/if_types.h \
+    $(PROJECT_INCLUDE)/net/netisr.h $(PROJECT_INCLUDE)/net/ppp-comp.h \
+    $(PROJECT_INCLUDE)/net/ppp_defs.h $(PROJECT_INCLUDE)/net/radix.h \
+    $(PROJECT_INCLUDE)/net/raw_cb.h $(PROJECT_INCLUDE)/net/route.h \
+    $(PROJECT_INCLUDE)/netinet $(PROJECT_INCLUDE)/netinet/icmp_var.h \
+    $(PROJECT_INCLUDE)/netinet/if_ether.h $(PROJECT_INCLUDE)/netinet/igmp.h \
+    $(PROJECT_INCLUDE)/netinet/igmp_var.h $(PROJECT_INCLUDE)/netinet/in.h \
+    $(PROJECT_INCLUDE)/netinet/in_pcb.h \
+    $(PROJECT_INCLUDE)/netinet/in_systm.h \
+    $(PROJECT_INCLUDE)/netinet/in_var.h $(PROJECT_INCLUDE)/netinet/ip.h \
+    $(PROJECT_INCLUDE)/netinet/ip_fw.h $(PROJECT_INCLUDE)/netinet/ip_icmp.h \
+    $(PROJECT_INCLUDE)/netinet/ip_mroute.h \
+    $(PROJECT_INCLUDE)/netinet/ip_var.h $(PROJECT_INCLUDE)/netinet/tcp.h \
+    $(PROJECT_INCLUDE)/netinet/tcp_debug.h \
+    $(PROJECT_INCLUDE)/netinet/tcp_fsm.h \
+    $(PROJECT_INCLUDE)/netinet/tcp_seq.h \
+    $(PROJECT_INCLUDE)/netinet/tcp_timer.h \
+    $(PROJECT_INCLUDE)/netinet/tcp_var.h $(PROJECT_INCLUDE)/netinet/tcpip.h \
+    $(PROJECT_INCLUDE)/netinet/udp.h $(PROJECT_INCLUDE)/netinet/udp_var.h \
+    $(PROJECT_INCLUDE)/arpa $(PROJECT_INCLUDE)/arpa/ftp.h \
+    $(PROJECT_INCLUDE)/arpa/inet.h $(PROJECT_INCLUDE)/arpa/nameser.h \
+    $(PROJECT_INCLUDE)/arpa/nameser_compat.h \
+    $(PROJECT_INCLUDE)/arpa/telnet.h $(PROJECT_INCLUDE)/nfs \
+    $(PROJECT_INCLUDE)/nfs/krpc.h $(PROJECT_INCLUDE)/nfs/nfs.h \
+    $(PROJECT_INCLUDE)/nfs/nfsdiskless.h $(PROJECT_INCLUDE)/nfs/nfsproto.h \
+    $(PROJECT_INCLUDE)/nfs/rpcv2.h $(PROJECT_INCLUDE)/nfs/xdr_subs.h \
+    $(PROJECT_INCLUDE)/ftpd.h $(PROJECT_INCLUDE)/rtems_webserver.h
+
+all-local: $(PREINSTALL_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/include/Makefile.in
===================================================================
--- c/src/libnetworking/include/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,99 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = include
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-H_PIECES = bpfilter loop netdb opt_ipfw opt_mrouting opt_tcpdebug poll \
-    resolv syslog
-H_FILES = $(H_PIECES:%=$(srcdir)/../%.h)
-
-SYS_H_PIECES = buf callout cdefs conf domain filio ioccom ioctl kernel \
-    libkern malloc mbuf mount param proc protosw queue reboot resourcevar \
-    rtprio select signalvar socket socketvar sockio sysctl syslimits syslog \
-    systm ttycom ttydefaults ucred uio
-SYS_H_FILES = $(SYS_H_PIECES:%=$(srcdir)/../sys/%.h)
-
-RTEMS_H_PIECES = rtems_bsdnet rtems_bsdnet_internal tftp
-RTEMS_H_FILES = $(RTEMS_H_PIECES:%=$(srcdir)/../rtems/%.h)
-
-MACHINE_H_PIECES = conf cpu cpufunc endian in_cksum limits param types \
-    vmparam
-MACHINE_H_FILES = $(MACHINE_H_PIECES:%=$(srcdir)/../machine/%.h)
-
-VM_H_PIECES = vm vm_extern vm_kern vm_param
-VM_H_FILES = $(VM_H_PIECES:%=$(srcdir)/../vm/%.h)
-
-NET_H_PIECES = bpf ethernet if if_arp if_dl if_llc if_ppp if_types netisr \
-    ppp-comp ppp_defs radix raw_cb route
-NET_H_FILES = $(NET_H_PIECES:%=$(srcdir)/../net/%.h)
-
-NETINET_H_PIECES = icmp_var if_ether igmp igmp_var in in_pcb in_systm in_var \
-    ip ip_fw ip_icmp ip_mroute ip_var tcp tcp_debug tcp_fsm tcp_seq \
-    tcp_timer tcp_var tcpip udp udp_var
-NETINET_H_FILES = $(NETINET_H_PIECES:%=$(srcdir)/../netinet/%.h)
-
-ARPA_H_PIECES = ftp inet nameser nameser_compat telnet
-ARPA_H_FILES = $(ARPA_H_PIECES:%=$(srcdir)/../arpa/%.h)
-
-NFS_H_PIECES = krpc nfs nfsdiskless nfsproto rpcv2 xdr_subs
-NFS_H_FILES = $(NFS_H_PIECES:%=$(srcdir)/../nfs/%.h)
-
-RTEMS_SERVERS_H_PIECES = ftpd
-RTEMS_SERVERS_H_FILES = \
-    $(RTEMS_SERVERS_H_PIECES:%=$(srcdir)/../rtems_servers/%.h)
-
-SRCS = $(H_FILES) $(SYS_H_FILES) $(RTEMS_H_FILES) $(MACHINE_H_FILES) \
-    $(VM_H_FILES) $(NET_H_FILES) $(NETINET_H_FILES) $(ARPA_H_FILES) \
-    $(NFS_H_FILES) $(RTEMS_SERVERS_H_FILES)
-
-RTEMS_WEBSERVER_H_PIECES = rtems_webserver
-RTEMS_WEBSERVER_H_FILES = \
-    $(RTEMS_WEBSERVER_H_PIECES:%=$(srcdir)/../rtems_webserver/%.h)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
-
-INSTALLDIRS = $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/sys \
-    $(PROJECT_INCLUDE)/machine $(PROJECT_INCLUDE)/rtems \
-    $(PROJECT_INCLUDE)/vm $(PROJECT_INCLUDE)/net $(PROJECT_INCLUDE)/netinet \
-    $(PROJECT_INCLUDE)/arpa $(PROJECT_INCLUDE)/nfs
-
-$(INSTALLDIRS):
-	@$(mkinstalldirs) $(INSTALLDIRS)
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-# We only make the install point for the networking header files if needed.
-
-preinstall: $(INSTALLDIRS) $(SRCS)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)
-	@$(INSTALL_CHANGE) -m 644 $(SYS_H_FILES) $(PROJECT_INCLUDE)/sys
-	@$(INSTALL_CHANGE) -m 644 $(RTEMS_H_FILES) $(PROJECT_INCLUDE)/rtems
-	@$(INSTALL_CHANGE) -m 644 $(MACHINE_H_FILES) $(PROJECT_INCLUDE)/machine
-	@$(INSTALL_CHANGE) -m 644 $(VM_H_FILES) $(PROJECT_INCLUDE)/vm
-	@$(INSTALL_CHANGE) -m 644 $(NET_H_FILES) $(PROJECT_INCLUDE)/net
-	@$(INSTALL_CHANGE) -m 644 $(NETINET_H_FILES) $(PROJECT_INCLUDE)/netinet
-	@$(INSTALL_CHANGE) -m 644 $(ARPA_H_FILES) $(PROJECT_INCLUDE)/arpa
-	@$(INSTALL_CHANGE) -m 644 $(NFS_H_FILES) $(PROJECT_INCLUDE)/nfs
-	@$(INSTALL_CHANGE) -m 644 $(RTEMS_SERVERS_H_FILES) $(PROJECT_INCLUDE)
-	@$(INSTALL_CHANGE) -m 644 $(RTEMS_WEBSERVER_H_FILES) $(PROJECT_INCLUDE)
-
-all: preinstall
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/kern/Makefile.am
===================================================================
--- c/src/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c uipc_socket2.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c \
+    uipc_socket2.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/kern/Makefile.in
===================================================================
--- c/src/libnetworking/kern/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,58 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = kern
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = kern_subr uipc_domain uipc_mbuf uipc_socket uipc_socket2
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-    -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/lib/Makefile.am
===================================================================
--- c/src/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,33 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = README getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/lib/Makefile.in
===================================================================
--- c/src/libnetworking/lib/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = lib
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = getprotoby rtems_bsdnet_ntp syslog tftpDriver
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -DNOPOLL -DNOSELECT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/libc/Makefile.am
===================================================================
--- c/src/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,57 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4 no-installman
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = base64.c gethostbydns.c gethostbyht.c gethostbynis.c \
+    gethostnamadr.c getnetbydns.c getnetbyht.c getnetbynis.c getnetnamadr.c \
+    getproto.c getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.c herror.c inet_addr.c inet_lnaof.c inet_makeaddr.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c map_v4v6.c \
+    nsap_addr.c ns_name.c ns_netint.c ns_parse.c ns_print.c ns_ttl.c \
+    res_comp.c res_data.c res_debug.c res_init.c res_mkquery.c \
+    res_mkupdate.c res_query.c res_send.c res_stubs.c res_update.c strsep.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+man_MANS = addr2ascii.3 byteorder.3 ethers.3 gethostbyname.3 getnetent.3 \
+    getprotoent.3 getservent.3 inet.3 iso_addr.3 linkaddr.3 ns.3 rcmd.3 \
+    resolver.3
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+AM_CPPFLAGS += -U__STRICT_ANSI__
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = addr2ascii.3 addr2ascii.c ascii2addr.c base64.c byteorder.3 \
+    ether_addr.c ethers.3 gethostbydns.c gethostbyht.c gethostbyname.3 \
+    gethostbynis.c gethostnamadr.c gethostname.c getnetbydns.c getnetbyht.c \
+    getnetbynis.c getnetent.3 getnetnamadr.c getproto.c getprotoent.3 \
+    getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.3 getservent.c herror.c inet.3 inet_addr.c inet_lnaof.c \
+    inet_makeaddr.c inet_net_ntop.c inet_net_pton.c inet_neta.c inet_netof.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c iso_addr.3 iso_addr.c \
+    linkaddr.3 linkaddr.c map_v4v6.c ns.3 ns_addr.c ns_name.c ns_netint.c \
+    ns_ntoa.c ns_parse.c ns_print.c ns_ttl.c nsap_addr.c rcmd.3 rcmd.c \
+    recv.c res_comp.c res_config.h res_data.c res_debug.c res_init.c \
+    res_mkquery.c res_mkupdate.c res_query.c res_send.c res_stubs.c \
+    res_update.c resolver.3 send.c strsep.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/libc/Makefile.in
===================================================================
--- c/src/libnetworking/libc/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,63 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = libc
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = base64 gethostbydns gethostbyht gethostbynis gethostnamadr \
-    getnetbydns getnetbyht getnetbynis getnetnamadr getproto getprotoent \
-    getprotoname getservbyname getservbyport getservent herror inet_addr \
-    inet_lnaof inet_makeaddr inet_network inet_ntoa inet_ntop inet_pton \
-    map_v4v6 nsap_addr ns_name ns_netint ns_parse ns_print ns_ttl \
-    res_comp res_data res_debug res_init res_mkquery res_mkupdate \
-    res_query res_send res_stubs res_update strsep
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -DNOPOLL -DNOSELECT
-CPPFLAGS += -U__STRICT_ANSI__
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/machine/Makefile.am
===================================================================
--- c/src/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,10 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = conf.h cpu.h cpufunc.h endian.h in_cksum.h limits.h param.h \
+    types.h vmparam.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libnetworking/net/Makefile.am
===================================================================
--- c/src/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,37 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if.c if_ethersubr.c if_loop.c radix.c route.c rtsock.c raw_cb.c \
+    raw_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bpf.h ethernet.h if.c if.h if_arp.h if_dl.h if_ethersubr.c \
+    if_llc.h if_loop.c if_ppp.h if_types.h netisr.h ppp-comp.h ppp_defs.h \
+    radix.c radix.h raw_cb.c raw_cb.h raw_usrreq.c route.c route.h rtsock.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/net/Makefile.in
===================================================================
--- c/src/libnetworking/net/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,58 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = net
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = if if_ethersubr if_loop radix route rtsock raw_cb raw_usrreq
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-    -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/netinet/Makefile.am
===================================================================
--- c/src/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,43 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if_ether.c igmp.c in.c in_cksum.c in_pcb.c in_proto.c in_rmx.c \
+    ip_divert.c ip_fw.c ip_icmp.c ip_input.c ip_mroute.c ip_output.c \
+    raw_ip.c tcp_debug.c tcp_input.c tcp_output.c tcp_subr.c tcp_timer.c \
+    tcp_usrreq.c udp_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = icmp_var.h if_ether.c if_ether.h igmp.c igmp.h igmp_var.h in.c \
+    in.h in_cksum.c in_cksum_i386.c in_cksum_m68k.c in_cksum_powerpc.c \
+    in_pcb.c in_pcb.h in_proto.c in_rmx.c in_systm.h in_var.h ip.h \
+    ip_divert.c ip_fw.c ip_fw.h ip_icmp.c ip_icmp.h ip_input.c ip_mroute.c \
+    ip_mroute.h ip_output.c ip_var.h raw_ip.c tcp.h tcp_debug.c tcp_debug.h \
+    tcp_fsm.h tcp_input.c tcp_output.c tcp_seq.h tcp_subr.c tcp_timer.c \
+    tcp_timer.h tcp_usrreq.c tcp_var.h tcpip.h udp.h udp_usrreq.c udp_var.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/netinet/Makefile.in
===================================================================
--- c/src/libnetworking/netinet/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = netinet
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = if_ether igmp in in_cksum in_pcb in_proto in_rmx ip_divert ip_fw \
-    ip_icmp ip_input ip_mroute ip_output raw_ip tcp_debug tcp_input \
-    tcp_output tcp_subr tcp_timer tcp_usrreq udp_usrreq
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-    -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/nfs/Makefile.am
===================================================================
--- c/src/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = bootp_subr.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bootp_subr.c krpc.h nfs.h nfsdiskless.h nfsproto.h rpcv2.h \
+    xdr_subs.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/nfs/Makefile.in
===================================================================
--- c/src/libnetworking/nfs/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,58 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = nfs
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = bootp_subr
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-    -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/pppd/Makefile.am
===================================================================
--- c/src/libnetworking/pppd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/pppd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,44 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+# What to do about main.c?
+C_FILES = auth.c cbcp.c ccp.c chap.c chap_ms.c chat.c demand.c fsm.c ipcp.c \
+    ipxcp.c lcp.c magic.c options.c upap.c md4.c md5.c rtems-ppp.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+# DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+#     -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+EXTRA_FILES = modem_example/16550.h modem_example/README \
+    modem_example/modem.c modem_example/modem.h modem_example/ppp.c \
+    modem_example/ppp.h modem_example/pppcompress.c
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = README STATUS auth.c cbcp.c cbcp.h ccp.c ccp.h chap.c chap.h \
+    chap_ms.c chap_ms.h chat.c demand.c fsm.c fsm.h ipcp.c ipcp.h ipxcp.c \
+    ipxcp.h lcp.c lcp.h magic.c magic.h main.c md4.c md4.h md5.c md5.h \
+    options.c patchlevel.h pathnames.h ppp_tty.c pppd.h rtems-ppp.c upap.c \
+    upap.h $(EXTRA_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/pppd/Makefile.in
===================================================================
--- c/src/libnetworking/pppd/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = pppd
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-# What to do about main.c?
-C_PIECES = auth cbcp ccp chap chap_ms chat demand fsm ipcp \
-    ipxcp lcp magic options upap md4 md5 rtems-ppp
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-# DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-#     -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/rtems/Makefile.am
===================================================================
--- c/src/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,41 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = sghostname.c issetugid.c rtems_glue.c rtems_syscall.c \
+    rtems_bootp.c rtems_showmbuf.c rtems_showroute.c rtems_showifstat.c \
+    rtems_showipstat.c rtems_showicmpstat.c rtems_showtcpstat.c \
+    rtems_showudpstat.c rtems_select.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = issetugid.c rtems_bootp.c rtems_bsdnet.h \
+    rtems_bsdnet_internal.h rtems_glue.c rtems_select.c rtems_showicmpstat.c \
+    rtems_showifstat.c rtems_showipstat.c rtems_showmbuf.c rtems_showroute.c \
+    rtems_showtcpstat.c rtems_showudpstat.c rtems_syscall.c sghostname.c \
+    tftp.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/rtems/Makefile.in
===================================================================
--- c/src/libnetworking/rtems/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = rtems
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = sghostname issetugid rtems_glue rtems_syscall rtems_bootp \
-    rtems_showmbuf rtems_showroute rtems_showifstat rtems_showipstat \
-    rtems_showicmpstat rtems_showtcpstat rtems_showudpstat rtems_select
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
-    -DBOOTP_COMPAT
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/rtems_servers/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_servers/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/rtems_servers/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,31 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = ftpd.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = ftpd.c ftpd.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/rtems_servers/Makefile.in
===================================================================
--- c/src/libnetworking/rtems_servers/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = rtems_servers
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = ftpd
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/rtems_webserver/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_webserver/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/rtems_webserver/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,41 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = asp.c balloc.c wbase64.c default.c ejlex.c ejparse.c form.c h.c \
+    handler.c mime.c misc.c webpage.c ringq.c rom.c security.c socket.c \
+    sym.c uemf.c url.c value.c webcomp.c webrom.c webs.c websuemf.c \
+    webmain.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DWEBS -DUEMF -DOS="RTEMS"
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+if HAS_POSIX
+all-local: $(ARCH) $(OBJS) $(LIB)
+endif
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = asp.c balloc.c default.c ej.h ejlex.c ejparse.c form.c h.c \
+    handler.c mime.c misc.c ringq.c rom.c rtems_webserver.h security.c \
+    socket.c sym.c uemf.c uemf.h url.c value.c wbase64.c webcomp.c webmain.c \
+    webpage.c webrom.c webs.c webs.h websuemf.c wsIntrn.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/rtems_webserver/Makefile.in
===================================================================
--- c/src/libnetworking/rtems_webserver/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = rtems_webserver
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = asp balloc wbase64 default ejlex ejparse form h handler mime misc \
-    webpage ringq rom security socket sym uemf url value webcomp webrom webs \
-    websuemf webmain
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -DWEBS -DUEMF -DOS="RTEMS"
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/libnetworking/sys/Makefile.am
===================================================================
--- c/src/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = buf.h callout.h cdefs.h conf.h domain.h filio.h ioccom.h \
+    ioctl.h kernel.h libkern.h malloc.h mbuf.h mount.h param.h proc.h \
+    protosw.h queue.h reboot.h resourcevar.h rtprio.h select.h signalvar.h \
+    socket.h socketvar.h sockio.h sysctl.h syslimits.h syslog.h systm.h \
+    ttycom.h ttydefaults.h ucred.h uio.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libnetworking/vm/Makefile.am
===================================================================
--- c/src/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = vm.h vm_extern.h vm_kern.h vm_param.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libnetworking/wrapup/Makefile.am
===================================================================
--- c/src/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ c/src/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+if HAS_POSIX
+POSIX_PIECES = rtems_webserver
+endif 
+
+NET_O_PIECES = kern lib libc net netinet nfs rtems rtems_servers pppd \
+    $(POSIX_PIECES)
+OBJS = $(foreach piece, $(NET_O_PIECES), ../$(piece)/$(ARCH)/*.o)
+LIB = $(ARCH)/libnetworking.a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(OBJS) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
Index: src/libnetworking/wrapup/Makefile.in
===================================================================
--- c/src/libnetworking/wrapup/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,62 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = wrapup
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-NET_O_PIECES = kern lib libc net netinet nfs rtems rtems_servers \
-    pppd $(POSIX_PIECES)
-OBJS = $(foreach piece, $(NET_O_PIECES), ../$(piece)/$(ARCH)/*.o)
-LIB = $(ARCH)/libnetworking.a
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-HAS_POSIX_API = @HAS_POSIX_API@
-
-ifeq ($(HAS_POSIX),yes)
-POSIX_PIECES = rtems_webserver
-endif 
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-$(LIB): ${OBJS}
-	$(make-library)
-
-all: ${ARCH} $(SRCS) $(LIB)
-	$(INSTALL_VARIANT) -m 644 $(LIB) $(PROJECT_RELEASE)/lib
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: cpukit/ftpd/Makefile.am
===================================================================
--- cpukit/ftpd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/ftpd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,31 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = ftpd.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = ftpd.c ftpd.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/httpd/Makefile.am
===================================================================
--- cpukit/httpd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/httpd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,41 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = asp.c balloc.c wbase64.c default.c ejlex.c ejparse.c form.c h.c \
+    handler.c mime.c misc.c webpage.c ringq.c rom.c security.c socket.c \
+    sym.c uemf.c url.c value.c webcomp.c webrom.c webs.c websuemf.c \
+    webmain.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DWEBS -DUEMF -DOS="RTEMS"
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+if HAS_POSIX
+all-local: $(ARCH) $(OBJS) $(LIB)
+endif
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = asp.c balloc.c default.c ej.h ejlex.c ejparse.c form.c h.c \
+    handler.c mime.c misc.c ringq.c rom.c rtems_webserver.h security.c \
+    socket.c sym.c uemf.c uemf.h url.c value.c wbase64.c webcomp.c webmain.c \
+    webpage.c webrom.c webs.c webs.h websuemf.c wsIntrn.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: ukit/httpd/Makefile.in
===================================================================
--- cpukit/httpd/Makefile.in	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = rtems_webserver
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-LIBNAME = lib.a
-LIB = ${ARCH}/${LIBNAME}
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES = asp balloc wbase64 default ejlex ejparse form h handler mime misc \
-    webpage ringq rom security socket sym uemf url value webcomp webrom webs \
-    websuemf webmain
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-SRCS = $(C_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES += -DWEBS -DUEMF -DOS="RTEMS"
-CPPFLAGS +=
-CFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB)
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(LIB)
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision 1382cea3b1599cbb63b1556803fa11219a4167dd)
+++ cpukit/libnetworking/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -1,28 +1,14 @@
-##
+## 
 ## $Id$
-##
+## 
 
 AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_POSIX
-POSIX_SUBDIRS = rtems_webserver
-endif
+SUBDIRS = include arpa kern machine sys vm lib libc net netinet nfs rtems \
+    rtems_servers pppd rtems_webserver wrapup
 
-SUBDIRS = include kern lib libc net netinet nfs rtems rtems_servers \
-pppd $(POSIX_SUBDIRS) wrapup
-
-EXTRA_DIST = \
-CHANGELOG \
-README \
-bpfilter.h \
-loop.h \
-netdb.h \
-opt_ipfw.h \
-opt_mrouting.h \
-opt_tcpdebug.h \
-poll.h \
-resolv.h \
-syslog.h
+EXTRA_DIST = CHANGELOG bpfilter.h loop.h netdb.h opt_ipfw.h opt_mrouting.h \
+    opt_tcpdebug.h poll.h resolv.h syslog.h
 
 include $(top_srcdir)/../../../automake/subdirs.am
Index: cpukit/libnetworking/arpa/Makefile.am
===================================================================
--- cpukit/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/arpa/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = ftp.h inet.h nameser.h nameser_compat.h telnet.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/kern/Makefile.am
===================================================================
--- cpukit/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/kern/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c uipc_socket2.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = kern_subr.c uipc_domain.c uipc_mbuf.c uipc_socket.c \
+    uipc_socket2.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/lib/Makefile.am
===================================================================
--- cpukit/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/lib/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,33 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = README getprotoby.c rtems_bsdnet_ntp.c syslog.c tftpDriver.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/libc/Makefile.am
===================================================================
--- cpukit/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/libc/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,57 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4 no-installman
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = base64.c gethostbydns.c gethostbyht.c gethostbynis.c \
+    gethostnamadr.c getnetbydns.c getnetbyht.c getnetbynis.c getnetnamadr.c \
+    getproto.c getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.c herror.c inet_addr.c inet_lnaof.c inet_makeaddr.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c map_v4v6.c \
+    nsap_addr.c ns_name.c ns_netint.c ns_parse.c ns_print.c ns_ttl.c \
+    res_comp.c res_data.c res_debug.c res_init.c res_mkquery.c \
+    res_mkupdate.c res_query.c res_send.c res_stubs.c res_update.c strsep.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+man_MANS = addr2ascii.3 byteorder.3 ethers.3 gethostbyname.3 getnetent.3 \
+    getprotoent.3 getservent.3 inet.3 iso_addr.3 linkaddr.3 ns.3 rcmd.3 \
+    resolver.3
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -DNOPOLL -DNOSELECT
+AM_CPPFLAGS += -U__STRICT_ANSI__
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = addr2ascii.3 addr2ascii.c ascii2addr.c base64.c byteorder.3 \
+    ether_addr.c ethers.3 gethostbydns.c gethostbyht.c gethostbyname.3 \
+    gethostbynis.c gethostnamadr.c gethostname.c getnetbydns.c getnetbyht.c \
+    getnetbynis.c getnetent.3 getnetnamadr.c getproto.c getprotoent.3 \
+    getprotoent.c getprotoname.c getservbyname.c getservbyport.c \
+    getservent.3 getservent.c herror.c inet.3 inet_addr.c inet_lnaof.c \
+    inet_makeaddr.c inet_net_ntop.c inet_net_pton.c inet_neta.c inet_netof.c \
+    inet_network.c inet_ntoa.c inet_ntop.c inet_pton.c iso_addr.3 iso_addr.c \
+    linkaddr.3 linkaddr.c map_v4v6.c ns.3 ns_addr.c ns_name.c ns_netint.c \
+    ns_ntoa.c ns_parse.c ns_print.c ns_ttl.c nsap_addr.c rcmd.3 rcmd.c \
+    recv.c res_comp.c res_config.h res_data.c res_debug.c res_init.c \
+    res_mkquery.c res_mkupdate.c res_query.c res_send.c res_stubs.c \
+    res_update.c resolver.3 send.c strsep.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/machine/Makefile.am
===================================================================
--- cpukit/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/machine/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,10 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = conf.h cpu.h cpufunc.h endian.h in_cksum.h limits.h param.h \
+    types.h vmparam.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/net/Makefile.am
===================================================================
--- cpukit/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/net/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,37 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if.c if_ethersubr.c if_loop.c radix.c route.c rtsock.c raw_cb.c \
+    raw_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bpf.h ethernet.h if.c if.h if_arp.h if_dl.h if_ethersubr.c \
+    if_llc.h if_loop.c if_ppp.h if_types.h netisr.h ppp-comp.h ppp_defs.h \
+    radix.c radix.h raw_cb.c raw_cb.h raw_usrreq.c route.c route.h rtsock.c
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/netinet/Makefile.am
===================================================================
--- cpukit/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/netinet/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,43 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = if_ether.c igmp.c in.c in_cksum.c in_pcb.c in_proto.c in_rmx.c \
+    ip_divert.c ip_fw.c ip_icmp.c ip_input.c ip_mroute.c ip_output.c \
+    raw_ip.c tcp_debug.c tcp_input.c tcp_output.c tcp_subr.c tcp_timer.c \
+    tcp_usrreq.c udp_usrreq.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = icmp_var.h if_ether.c if_ether.h igmp.c igmp.h igmp_var.h in.c \
+    in.h in_cksum.c in_cksum_i386.c in_cksum_m68k.c in_cksum_powerpc.c \
+    in_pcb.c in_pcb.h in_proto.c in_rmx.c in_systm.h in_var.h ip.h \
+    ip_divert.c ip_fw.c ip_fw.h ip_icmp.c ip_icmp.h ip_input.c ip_mroute.c \
+    ip_mroute.h ip_output.c ip_var.h raw_ip.c tcp.h tcp_debug.c tcp_debug.h \
+    tcp_fsm.h tcp_input.c tcp_output.c tcp_seq.h tcp_subr.c tcp_timer.c \
+    tcp_timer.h tcp_usrreq.c tcp_var.h tcpip.h udp.h udp_usrreq.c udp_var.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/nfs/Makefile.am
===================================================================
--- cpukit/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/nfs/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = bootp_subr.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = bootp_subr.c krpc.h nfs.h nfsdiskless.h nfsproto.h rpcv2.h \
+    xdr_subs.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/rtems/Makefile.am
===================================================================
--- cpukit/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/rtems/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,41 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+C_FILES = sghostname.c issetugid.c rtems_glue.c rtems_syscall.c \
+    rtems_bootp.c rtems_showmbuf.c rtems_showroute.c rtems_showifstat.c \
+    rtems_showipstat.c rtems_showicmpstat.c rtems_showtcpstat.c \
+    rtems_showudpstat.c rtems_select.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+AM_CPPFLAGS += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+    -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = issetugid.c rtems_bootp.c rtems_bsdnet.h \
+    rtems_bsdnet_internal.h rtems_glue.c rtems_select.c rtems_showicmpstat.c \
+    rtems_showifstat.c rtems_showipstat.c rtems_showmbuf.c rtems_showroute.c \
+    rtems_showtcpstat.c rtems_showudpstat.c rtems_syscall.c sghostname.c \
+    tftp.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/sys/Makefile.am
===================================================================
--- cpukit/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/sys/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = buf.h callout.h cdefs.h conf.h domain.h filio.h ioccom.h \
+    ioctl.h kernel.h libkern.h malloc.h mbuf.h mount.h param.h proc.h \
+    protosw.h queue.h reboot.h resourcevar.h rtprio.h select.h signalvar.h \
+    socket.h socketvar.h sockio.h sysctl.h syslimits.h syslog.h systm.h \
+    ttycom.h ttydefaults.h ucred.h uio.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/vm/Makefile.am
===================================================================
--- cpukit/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/vm/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,9 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+EXTRA_DIST = vm.h vm_extern.h vm_kern.h vm_param.h
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libnetworking/wrapup/Makefile.am
===================================================================
--- cpukit/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/libnetworking/wrapup/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,35 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+if HAS_POSIX
+POSIX_PIECES = rtems_webserver
+endif 
+
+NET_O_PIECES = kern lib libc net netinet nfs rtems rtems_servers pppd \
+    $(POSIX_PIECES)
+OBJS = $(foreach piece, $(NET_O_PIECES), ../$(piece)/$(ARCH)/*.o)
+LIB = $(ARCH)/libnetworking.a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(OBJS) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/pppd/Makefile.am
===================================================================
--- cpukit/pppd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
+++ cpukit/pppd/Makefile.am	(revision 4bf1801d0d6fa7bcf7488f7f3cc5c39fafeac7d2)
@@ -0,0 +1,44 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = lib.a
+LIB = $(ARCH)/$(LIBNAME)
+
+# What to do about main.c?
+C_FILES = auth.c cbcp.c ccp.c chap.c chap_ms.c chat.c demand.c fsm.c ipcp.c \
+    ipxcp.c lcp.c magic.c options.c upap.c md4.c md5.c rtems-ppp.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+#
+# Add local stuff here using +=
+#
+
+# DEFINES += -D_COMPILING_BSD_KERNEL_ -DKERNEL -DINET -DNFS -DDIAGNOSTIC \
+#     -DBOOTP_COMPAT
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+EXTRA_FILES = modem_example/16550.h modem_example/README \
+    modem_example/modem.c modem_example/modem.h modem_example/ppp.c \
+    modem_example/ppp.h modem_example/pppcompress.c
+
+all-local: $(ARCH) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = README STATUS auth.c cbcp.c cbcp.h ccp.c ccp.h chap.c chap.h \
+    chap_ms.c chap_ms.h chat.c demand.c fsm.c fsm.h ipcp.c ipcp.h ipxcp.c \
+    ipxcp.h lcp.c lcp.h magic.c magic.h main.c md4.c md4.h md5.c md5.h \
+    options.c patchlevel.h pathnames.h ppp_tty.c pppd.h rtems-ppp.c upap.c \
+    upap.h $(EXTRA_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
